# ionoscloud\_pg\_backup\_location\_v2

The **DBaaS PostgreSQL v2 Backup Locations data source** can be used to retrieve the list of available backup locations. Use this data source to find valid values for the `backup_location` attribute of the `ionoscloud_pg_cluster_v2` resource.

## Example Usage

```hcl
data "ionoscloud_pg_backup_location_v2" "example" {
  location = "de/txl"
}
```

## Argument Reference

* `location` - (Required)\[string] The region in which to look up backup locations. Available locations: `de/fra`, `de/fra/2`, `de/txl`, `es/vit`, `fr/par`, `gb/bhx`, `gb/lhr`, `us/ewr`, `us/las`, `us/mci`.

## Attributes Reference

The following attributes are returned by the datasource:

* `backup_locations` - The list of available backup locations. Each backup location has the following attributes:
  * `id` - The ID (UUID) of the backup location.
  * `location` - The S3 location identifier (e.g. `de`, `eu-central-2`).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/pg_backup_location.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
